Oracle Linux 9:buildah (ELSA-2022-8008)

high Nessus Plugin ID 168110

Synopsis

遠端 Oracle Linux 主機缺少一個或多個安全性更新。

描述

遠端 Oracle Linux 9 主機中安裝的套件受到 ELSA-2022-8008 公告中提及的多個弱點影響。

- Buildah 容器引擎中存在附加群組處理不正確問題,這可能導致敏感資訊洩漏或資料修改,但前提是攻擊者可以直接存取受影響的容器 (其中使用附加群組來設定存取權限,並且附加群組能夠在此容器中執行二進位檔)。(CVE-2022-2990)

- 適用於 Go 的 golang.org/x/crypto/ssh 套件 0.0.0-20220314234659-1baeb1ce4c0b 之前版本在涉及 AddHostKey 的某些情況下允許攻擊者造成伺服器當機。(CVE-2022-27191)

- 1.15.13 之前的 Go 和 1.16.5 之前的 1.16.x 具有不驗證來自 DNS 伺服器的回覆的 DNS 查閱函式,因此傳回值可能包含不符合 RFC1035 格式的不安全插入 (例如 XSS)。(CVE-2021-33195)

- 在 1.15.13 版之前的 Go 和 1.16.x 版之前的 1.16.5,大量使用 math/big.Rat SetString 或 UnmarshalText 方法可能會引起錯誤。(CVE-2021-33198)

- 在 1.15.13 版之前的 Go 和 1.16.5 版之前的 1.16.x,攻擊者可以利用 ReverseProxy 的一些配置 (來自 net/http/httputil) 插入任意標頭。
(CVE-2021-33197)

- Podman 容器引擎中存在附加群組處理不正確問題,這可能導致敏感資訊洩漏或資料修改,但前提是攻擊者可以直接存取受影響的容器 (其中使用附加群組來設定存取權限,並且附加群組能夠在此容器中執行二進位程式碼)。(CVE-2022-2989)

- 在 1.28.1 之前版本的「 github.com/containers/storage」中發現一個鎖死弱點。處理容器映像時,系統會使用「tar」解壓縮每個層。如果其中一個層不是有效的「tar」封存,將會引發錯誤,進而導致程式碼無限期等待 tar 解壓縮資料流的例外狀況,而該資料流永遠不會結束。攻擊者可利用此弱點建構惡意映像,當應用程式使用容器/儲存裝置下載並儲存該映像時,即會造成鎖死,進而導致拒絕服務 (DoS)。(CVE-2021-20291)

請注意,Nessus 並未測試這些問題,而是僅依據應用程式自我報告的版本號碼作出判斷。

解決方案

更新受影響的 buildah 和/或 buildah-tests 套件。

另請參閱

https://linux.oracle.com/errata/ELSA-2022-8008.html

Plugin 詳細資訊

嚴重性: High

ID: 168110

檔案名稱: oraclelinux_ELSA-2022-8008.nasl

版本: 1.2

類型: local

代理程式: unix

已發布: 2022/11/22

已更新: 2022/11/22

支持的傳感器: Frictionless Assessment Agent, Nessus Agent

風險資訊

VPR

風險因素: Medium

分數: 6

CVSS v2

風險因素: High

基本分數: 7.5

時間分數: 5.5

媒介: AV:N/AC:L/Au:N/C:P/I:P/A:P

時間媒介: E:U/RL:OF/RC:C

CVSS 評分資料來源: CVE-2021-33195

CVSS v3

風險因素: High

基本分數: 7.3

時間分數: 6.4

媒介: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:L/I:L/A:L

時間媒介: E:U/RL:O/RC:C

弱點資訊

CPE: cpe:/o:oracle:linux:9, p-cpe:/a:oracle:linux:buildah, p-cpe:/a:oracle:linux:buildah-tests

必要的 KB 項目: Host/OracleLinux, Host/RedHat/release, Host/RedHat/rpm-list, Host/local_checks_enabled

可輕鬆利用: No known exploits are available

修補程式發佈日期: 2022/11/22

弱點發布日期: 2021/4/1

參考資訊

CVE: CVE-2021-20291, CVE-2021-33195, CVE-2021-33197, CVE-2021-33198, CVE-2022-2989, CVE-2022-2990, CVE-2022-27191